Handle Agent RPC by Name
curl --request POST \
--url https://api.example.com/agents/name/{agent_name}/rpc \
--header 'Content-Type: application/json' \
--data '
{
"params": {
"name": "<string>",
"params": {},
"task_metadata": {}
},
"jsonrpc": "2.0",
"id": 123
}
'import requests
url = "https://api.example.com/agents/name/{agent_name}/rpc"
payload = {
"params": {
"name": "<string>",
"params": {},
"task_metadata": {}
},
"jsonrpc": "2.0",
"id": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
params: {name: '<string>', params: {}, task_metadata: {}},
jsonrpc: '2.0',
id: 123
})
};
fetch('https://api.example.com/agents/name/{agent_name}/rpc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"task_id": "<string>",
"content": {
"content": "<string>",
"type": "text",
"style": "static",
"format": "plain",
"attachments": [
{
"file_id": "<string>",
"name": "<string>",
"size": 123,
"type": "<string>"
}
]
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"jsonrpc": "2.0",
"error": null,
"id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Handle Agent RPC by Name
Handle JSON-RPC requests for an agent by its unique name.
POST
/
agents
/
name
/
{agent_name}
/
rpc
Handle Agent RPC by Name
Path Parameters
Body
application/json
Available options:
event/send, task/create, message/send, task/cancel The parameters for the agent RPC request
- CreateTaskRequest
- CancelTaskRequest
- SendMessageRequest
- SendEventRequest
Show child attributes
Show child attributes
Allowed value:
"2.0"Response
Successful Response
Represents a message in the agent system.
This entity is used to store messages in MongoDB, with each message associated with a specific task.
- TaskMessage · object[]
- StreamTaskMessageStart · object
- StreamTaskMessageDelta · object
- StreamTaskMessageFull · object
- StreamTaskMessageDone · object
- Task · object
- Event · object
Show child attributes
Show child attributes
Allowed value:
"2.0"⌘I

